#!/usr/bin/env python

"""apache log processor

takes apache log on stdin, produce 'path weight' lines on stdout
"""


COPYRIGHT = """
Copyright Renaud Blanch [http://iihm.imag.fr/blanch/]

This software is a computer program whose purpose is to explore new interaction
techniques for zoomable treemaps.

This software is governed by the CeCILL license under French law and abiding by 
the rules of distribution of free software. You can  use, modify and/ or 
redistribute the software under the terms of the CeCILL license as circulated  
at the following URL [http://www.cecill.info]. 

As a counterpart to the access to the source code and  rights to copy, modify 
and redistribute granted by the license, users are provided only with a limited 
warranty  and the software's author,  the holder of the economic rights,  and 
the successive licensors  have only limited liability. 

The fact that you are presently reading this means that you have had knowledge 
of the CeCILL license and that you accept its terms.
"""


# imports ####################################################################

import sys
import re


# log regexp #################################################################

line_re = r'([^\s]*) - ([^\[]*) (\[[^\]]*\]) "([^"]*)" (\d+) (-|\d+)(.*)\s*\Z'
line_re = re.compile(line_re)

def query(a):
	return a.group(4).split()[1]
	
def count(_):
	return 1

def size(a):
	return int(a.group(6))


# processing stdin ###########################################################

#weight = count
weight = size

for line in sys.stdin:
	line = line.replace(r'\"', "'")
	a = line_re.match(line)
	try:
		print query(a), weight(a)
	except:
		continue
