COPYRIGHT = """
Copyright Renaud Blanch [http://iihm.imag.fr/blanch/]

This software is a computer program whose purpose is to explore new interaction
techniques for zoomable treemaps.

This software is governed by the CeCILL license under French law and abiding by 
the rules of distribution of free software. You can  use, modify and/ or 
redistribute the software under the terms of the CeCILL license as circulated  
at the following URL [http://www.cecill.info]. 

As a counterpart to the access to the source code and  rights to copy, modify 
and redistribute granted by the license, users are provided only with a limited 
warranty  and the software's author,  the holder of the economic rights,  and 
the successive licensors  have only limited liability. 

The fact that you are presently reading this means that you have had knowledge 
of the CeCILL license and that you accept its terms.
"""

import os

def walk(base=".", remove_hidden=False):
	for path, dirs, files in os.walk(base):
		# list files
		for f in [f for f in files if not (remove_hidden and f[0] == '.')]:
			name = os.path.join(path, f)
			try:
				size = os.stat(name)[6]
			except OSError:
				continue
			print name.replace(' ', '_').replace(chr(13), ''), size
	
		# remove hidden dirs before recuring
		if remove_hidden:
			for d in [d for d in dirs if d[0] == '.']:
				dirs.remove(d)


if __name__=="__main__":
	import sys
	bases = sys.argv[1:]
	if bases == []:
		walk()
	else:
		for base in bases:
			walk(base)
