///////////////////////////////////////////////////////////////////////////////
// File    : colors.h
// Content : complementary colors from [http://www.ColorBrewer.org]
//           by Cynthia A. Brewer, Geography, Pennsylvania State University
// History :   -Feb-2006 - [rb] creation
//           19-Oct-2007 - [rb] added CeCIIL licence, prepared distro
///////////////////////////////////////////////////////////////////////////////

/* licence ********************************************************************
Copyright Renaud Blanch [http://iihm.imag.fr/blanch/]

This software is a computer program whose purpose is to explore new interaction
techniques for zoomable treemaps.

This software is governed by the CeCILL license under French law and abiding by 
the rules of distribution of free software. You can  use, modify and/ or 
redistribute the software under the terms of the CeCILL license as circulated  
at the following URL [http://www.cecill.info]. 

As a counterpart to the access to the source code and  rights to copy, modify 
and redistribute granted by the license, users are provided only with a limited 
warranty  and the software's author,  the holder of the economic rights,  and 
the successive licensors  have only limited liability. 

The fact that you are presently reading this means that you have had knowledge 
of the CeCILL license and that you accept its terms.
******************************************************************************/

#if !defined(COLORS_H)
#define COLORS_H


enum { R, G, B, A, COLOR_SIZE };

namespace colors {

#define RGB(r, g, b) { r/255., g/255., b/255., 1. }

	static const float black[] = RGB(  0,   0,   0);
	static const float white[] = RGB(255, 255, 255);

	static const float palettes[][8][COLOR_SIZE] = {
		// Set1, qualitative
		{ RGB(228,  26,  28),
		  RGB( 55, 126, 184),
		  RGB( 77, 175,  74),
		  RGB(152,  78, 163),
		  RGB(255, 127,   0),
		  RGB(255, 255,  51),
		  RGB(166,  86,  40),
		  RGB(247, 129, 191) },
		  
		// Dark2, qualitative
		{ RGB( 27, 158, 119),
		  RGB(217,  95,   2),
		  RGB(117, 112, 179),
		  RGB(231,  41, 138),
		  RGB(102, 166,  30),
		  RGB(230, 171,   2),
		  RGB(166, 118,  29),
		  RGB(102, 102, 102) },
		  
		// Pastel1, qualitative
		{ RGB(251, 180, 174),
		  RGB(179, 205, 227),
		  RGB(204, 235, 197),
		  RGB(222, 203, 228),
		  RGB(254, 217, 166),
		  RGB(255, 255, 204),
		  RGB(229, 216, 189),
		  RGB(253, 218, 236) }
	};
	
#undef RGB

} // namespace colors


#endif // !defined(COLORS_H)
